Mail::MtPolicyd::AddressList(3pm)

NAME
Mail::MtPolicyd::AddressList - a class for IP address lists

VERSION
version 2.05

Attributes

  list
Contains an ArrayRef of NetAddr::IP which holds the all entries of this object.

Methods

  add
Add a list of NetAddr::IP objects to the list.

  is_empty
Returns a true value when empty.

  count
Returns the number of entries.

  add_localhost
Add localhost addresses to list.

  add_string
Takes a list of IP address strings.

The strings itself can contain a list of comma/space separated addresses.

Then a list of NetAddr::IP objects is created and pushed to the list.

  match
Returns true if the give NetAddr::IP object matches an entry of the list.

  match_string
Same as match(), but takes an string instead of NetAddr::IP object.

  as_string
Returns a comma separated string with all addresses.

AUTHOR
Markus Benning <ich@markusbenning.de>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014 by Markus Benning <ich@markusbenning.de>.

This is free software, licensed under:

  The GNU General Public License, Version 2, June 1991